Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Class RemoteServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--com.caucho.server.http.RemoteServlet

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class RemoteServlet
extends GenericServlet

See Also:
  Serialized Form

Field Summary
`protected QDate` | `calendar`

Constructor Summary
`RemoteServlet()`

Method Summary
`void` | `init(ServletConfig config)` Initialize the servlet.
`void` | `service(ServletRequest req, ServletResponse res)` Service a request.

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### calendar

    protected QDate calendar

Constructor Detail

### RemoteServlet

    public RemoteServlet()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Description copied from class: `GenericServlet`
  Initialize the servlet. Most servlets should override the null parameter `init()` instead.
  Overrides:
    `init` in class `GenericServlet`
  Following copied from class: `javax.servlet.GenericServlet`
  Parameters:
    `config` - the servlet's configuration

### service

    public void service(ServletRequest req,
                        ServletResponse res)
                 throws ServletException,
                        java.io.IOException

  Description copied from interface: `Servlet`
  Service a request. Since the servlet engine is multithreaded, many threads may execute `service` simultaneously. Normally, `req` and `res` will actually be `HttpServletRequest` and `HttpServletResponse` classes.
  Following copied from interface: `javax.servlet.Servlet`
  Parameters:
    `req` - request information. Normally servlets will cast this to `HttpServletRequest`
    `res` - response information. Normally servlets will cast this to `HttpServletRequest`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD